> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify reset token

> Verify password reset token



## OpenAPI

````yaml identity_v1 get /api-commerceIdentity/auth/token/{token}
openapi: 3.0.1
info:
  title: Authentication v1
  description: >-
    The fabric Identity API lets you manage users. You can create and update
    user names and addresses.  Users can log in to an application and can change
    or reset their passwords.
  version: 1.0.0
  contact:
    email: support@fabric.inc
  license:
    name: fabric API License
    url: https://fabric.inc/api-license
servers:
  - url: https://{customerDomain}.fabric.zone
    variables:
      customerDomain:
        default: demo
security: []
tags:
  - name: User
    description: >-
      The User endpoints let you create local or guest users, update a user's
      user name, and get information about a specific user.
  - name: Address
    description: >-
      The Address endpoints let you create, delete, and update addresses, as
      well as get a list of addresses or address information.
  - name: Auth
    description: >-
      The Auth endpoints let the user log in and change or reset a password. You
      can also refresh a local user.
paths:
  /api-commerceIdentity/auth/token/{token}:
    parameters:
      - $ref: '#/components/parameters/xSiteContent'
    get:
      tags:
        - Auth
      summary: Verify reset token
      description: Verify password reset token
      operationId: verifyResetToken
      parameters:
        - name: token
          in: path
          description: Password reset token
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  tokenValid:
                    description: 'true: Token is valid<br />false: Token is not valid'
                    type: boolean
                    example: true
                  userId:
                    description: User ID
                    type: string
                    example: 6169b2d892a5f30009d76480
                required:
                  - tokenValid
                  - userId
        '401':
          $ref: '#/components/responses/token-expired'
        '404':
          $ref: '#/components/responses/token-not-found'
components:
  parameters:
    xSiteContent:
      name: x-site-context
      in: header
      description: >-
        The `x-site-context` header is a JSON object that contains information
        about the source you wish to pull from. The mandatory `account` is the
        24 character identifier found in Copilot. The `channel` (Sales channel
        ID), `stage` (environment name), and `date` attributes can be used to
        further narrow the scope of your data source.
      required: true
      schema:
        type: string
        example: >-
          {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account":
          "1234abcd5678efgh9ijklmno","stage":"production"}
  responses:
    token-expired:
      description: Token expired
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/APIError'
          example:
            error: TOKEN_HAS_EXPIRED
            code: '400'
            message: This reset token is no longer valid
    token-not-found:
      description: Token not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/APIError'
          example:
            error: TOKEN_NOT_FOUND
            code: '404'
            message: Token not found
  schemas:
    APIError:
      description: API error response
      type: object
      properties:
        error:
          description: Error condition
          type: string
          example: USER_NOT_FOUND
        code:
          description: Error code
          type: string
          example: '404'
        message:
          description: Error message
          type: string
          example: User not found

````